io.undertow.server.handlers.proxy

## Interface ConnectionPoolManager

All Superinterfaces:
  ConnectionPoolErrorHandler, ProxyConnectionPoolConfig

All Known Implementing Classes:
  LoadBalancingProxyClient.Host

    public interface ConnectionPoolManager
    extends ProxyConnectionPoolConfig, ConnectionPoolErrorHandler

Manager that controls the behaviour of a `ProxyConnectionPool`

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler

`ConnectionPoolErrorHandler.CountingErrorHandler, ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getProblemServerRetry()`

### Methods inherited from interface io.undertow.server.handlers.proxy.ProxyConnectionPoolConfig

`getMaxCachedConnections, getMaxConnections, getMaxQueueSize, getSMaxConnections, getTtl`

### Methods inherited from interface io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler

`clearError, handleError, isAvailable`

### Method Detail

#### getProblemServerRetry

    int getProblemServerRetry()

Returns:
  The amount of time that we should wait before re-testing a problem server